package com.bocloud.nms.model.veeam.job;

public class NotificationSettingsModel {

    private boolean sendSNMPNotifications;
    private EmailNotificationSettingsModel emailNotifications;
    private NotificationVmAttributeSettingsModel vmAttribute;

    public boolean isSendSNMPNotifications() {
        return sendSNMPNotifications;
    }

    public void setSendSNMPNotifications(boolean sendSNMPNotifications) {
        this.sendSNMPNotifications = sendSNMPNotifications;
    }

    public EmailNotificationSettingsModel getEmailNotifications() {
        return emailNotifications;
    }

    public void setEmailNotifications(EmailNotificationSettingsModel emailNotifications) {
        this.emailNotifications = emailNotifications;
    }

    public NotificationVmAttributeSettingsModel getVmAttribute() {
        return vmAttribute;
    }

    public void setVmAttribute(NotificationVmAttributeSettingsModel vmAttribute) {
        this.vmAttribute = vmAttribute;
    }

    @Override public String toString() {
        return "NotificationSettingsModel{" + "sendSNMPNotifications=" + sendSNMPNotifications + ", emailNotifications="
            + emailNotifications + ", vmAttribute=" + vmAttribute + '}';
    }
}
